aboutsummaryrefslogtreecommitdiffhomepage
path: root/tools/jenkins
diff options
context:
space:
mode:
Diffstat (limited to 'tools/jenkins')
-rwxr-xr-xtools/jenkins/run_performance.sh6
1 files changed, 4 insertions, 2 deletions
diff --git a/tools/jenkins/run_performance.sh b/tools/jenkins/run_performance.sh
index df0c03c38b..d7e73d4272 100755
--- a/tools/jenkins/run_performance.sh
+++ b/tools/jenkins/run_performance.sh
@@ -34,7 +34,9 @@ set -ex
# Enter the gRPC repo root
cd $(dirname $0)/../..
-tools/profiling/latency_profile/run_latency_profile.sh
+[[ $* =~ '--latency_profile' ]] \
+ && tools/profiling/latency_profile/run_latency_profile.sh \
+ || true
config=opt
@@ -47,7 +49,7 @@ PID2=$!
export QPS_WORKERS="localhost:10000,localhost:10010"
-bins/$config/qps_driver $*
+bins/$config/qps_driver
kill -2 $PID1 $PID2
wait